import { Table } from '../../core/table';
import { User } from '../../core/user';
import { GuestBook } from '../../guest-book/guest-book';

import { Kot } from './kot';

export class Bill {
  id: string;
  date: string;
  pax: number;
  customer?: { id: string; name: string };
  user: User;
  creationDate: string;
  lastEditDate: string;
  billId: string;
  table: Table;
  guest: GuestBook;
  settlements: any[];
  void: boolean;
  voidReason: string;
  voucherType: string;
  serial: number;
  kots: Kot[];
  reprints: any[];

  public constructor(init?: Partial<Bill>) {
    Object.assign(this, init);
  }
}
