import { Modifier } from '../../core/modifier';
import { Product } from '../../core/product';
import { Tax } from '../../core/tax';

export class Inventory {
  id: string;
  product: Product;
  quantity: number;
  price: number;
  isHappyHour: boolean;
  taxRate: number;
  tax: Tax;
  discount: number;
  modifiers: Modifier[];
  sortOrder: number;

  public constructor(init?: Partial<Inventory>) {
    Object.assign(this, init);
  }
}
